Bug 428508 - Impossible to assign a new user to an existing group
Impossible to assign a new user to an existing group
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature
: 201500 460198 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-01-12 08:12 EST by Igor
Modified: 2016-08-10 09:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-10 09:01:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a screeenshot of the create user window and the error pop up. (37.94 KB, image/gif)
2008-01-12 08:12 EST, Igor
no flags Details

  None (edit)
Description Igor 2008-01-12 08:12:19 EST
Description of problem:

It is impossible to add a new user and assign it to an existing group which
already have members.

Version-Release number of selected component (if applicable):

stock system-config-users which comes with FC8, also the latest update
system-config-users-1.2.74-1.fc9 from the development repo.

How reproducible:

Steps to Reproduce:
1. Run system-config-users.
2.In the "Create new user" window, uncheck the checkbox "Create a private group
for the user", check the checkbox "Specify group ID manually" and enter an
existing group number. Click "OK" and a window pops up saying "The gid ... is
already in use". 

See the attached screenshot.
Actual results:

A user can be created either with individual group or within the "users" group.

Expected results:

A user created within a group specified manually.

Additional info:
Comment 1 Igor 2008-01-12 08:12:19 EST
Created attachment 291462 [details]
a screeenshot of the create user window and the error pop up.
Comment 2 Bug Zapper 2008-11-26 04:24:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Jan "Yenya" Kasprzak 2010-11-20 18:18:01 EST
Still present in F14.
Comment 4 Jaromír Končický 2014-03-26 10:14:49 EDT
Still present in F20.
Comment 5 Jaromír Končický 2014-03-26 10:31:23 EDT
*** Bug 460198 has been marked as a duplicate of this bug. ***
Comment 6 Jaromír Končický 2014-03-26 11:06:33 EDT
*** Bug 201500 has been marked as a duplicate of this bug. ***
Comment 7 Nils Philippsen 2016-08-10 09:01:38 EDT
Thanks for taking the time to submit this request for enhancement.
Unfortunately, I haven't gotten around to implement this feature, sorry for

Because I don't actively develop system-config-users anymore, I won't likely
find the time to work on this ticket, so I'll close this bug now.

Note You need to log in before you can comment on or make changes to this bug.